import { DomainChartDescription } from "./DomainChartDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class XYChartDescription extends DomainChartDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private fd;
    get xAxisFormatLabelRef(): string;
    set xAxisFormatLabelRef(a: string);
    private ft;
    get yAxisFormatLabelRef(): string;
    set yAxisFormatLabelRef(a: string);
    private dj;
    get xAxisLabelLeftMargin(): number;
    set xAxisLabelLeftMargin(a: number);
    private dl;
    get xAxisLabelTopMargin(): number;
    set xAxisLabelTopMargin(a: number);
    private dk;
    get xAxisLabelRightMargin(): number;
    set xAxisLabelRightMargin(a: number);
    private di;
    get xAxisLabelBottomMargin(): number;
    set xAxisLabelBottomMargin(a: number);
    private d1;
    get yAxisLabelLeftMargin(): number;
    set yAxisLabelLeftMargin(a: number);
    private d3;
    get yAxisLabelTopMargin(): number;
    set yAxisLabelTopMargin(a: number);
    private d2;
    get yAxisLabelRightMargin(): number;
    set yAxisLabelRightMargin(a: number);
    private d0;
    get yAxisLabelBottomMargin(): number;
    set yAxisLabelBottomMargin(a: number);
    private fg;
    get xAxisLabelTextColor(): string;
    set xAxisLabelTextColor(a: string);
    private fx;
    get yAxisLabelTextColor(): string;
    set yAxisLabelTextColor(a: string);
    private dv;
    get xAxisTitleMargin(): number;
    set xAxisTitleMargin(a: number);
    private ec;
    get yAxisTitleMargin(): number;
    set yAxisTitleMargin(a: number);
    private du;
    get xAxisTitleLeftMargin(): number;
    set xAxisTitleLeftMargin(a: number);
    private eb;
    get yAxisTitleLeftMargin(): number;
    set yAxisTitleLeftMargin(a: number);
    private dx;
    get xAxisTitleTopMargin(): number;
    set xAxisTitleTopMargin(a: number);
    private ee;
    get yAxisTitleTopMargin(): number;
    set yAxisTitleTopMargin(a: number);
    private dw;
    get xAxisTitleRightMargin(): number;
    set xAxisTitleRightMargin(a: number);
    private ed;
    get yAxisTitleRightMargin(): number;
    set yAxisTitleRightMargin(a: number);
    private dt;
    get xAxisTitleBottomMargin(): number;
    set xAxisTitleBottomMargin(a: number);
    private ea;
    get yAxisTitleBottomMargin(): number;
    set yAxisTitleBottomMargin(a: number);
    private fr;
    get xAxisTitleTextColor(): string;
    set xAxisTitleTextColor(a: string);
    private f8;
    get yAxisTitleTextColor(): string;
    set yAxisTitleTextColor(a: string);
    private fh;
    get xAxisLabelTextStyle(): string;
    set xAxisLabelTextStyle(a: string);
    private fy;
    get yAxisLabelTextStyle(): string;
    set yAxisLabelTextStyle(a: string);
    private fs;
    get xAxisTitleTextStyle(): string;
    set xAxisTitleTextStyle(a: string);
    private f9;
    get yAxisTitleTextStyle(): string;
    set yAxisTitleTextStyle(a: string);
    private ff;
    get xAxisLabelRef(): string;
    set xAxisLabelRef(a: string);
    private fw;
    get yAxisLabelRef(): string;
    set yAxisLabelRef(a: string);
    private fk;
    get xAxisMajorStroke(): string;
    set xAxisMajorStroke(a: string);
    private f1;
    get yAxisMajorStroke(): string;
    set yAxisMajorStroke(a: string);
    private dm;
    get xAxisMajorStrokeThickness(): number;
    set xAxisMajorStrokeThickness(a: number);
    private d4;
    get yAxisMajorStrokeThickness(): number;
    set yAxisMajorStrokeThickness(a: number);
    private dn;
    get xAxisMinorStrokeThickness(): number;
    set xAxisMinorStrokeThickness(a: number);
    private d5;
    get yAxisMinorStrokeThickness(): number;
    set yAxisMinorStrokeThickness(a: number);
    private fm;
    get xAxisStrip(): string;
    set xAxisStrip(a: string);
    private f3;
    get yAxisStrip(): string;
    set yAxisStrip(a: string);
    private fn;
    get xAxisStroke(): string;
    set xAxisStroke(a: string);
    private f4;
    get yAxisStroke(): string;
    set yAxisStroke(a: string);
    private dp;
    get xAxisStrokeThickness(): number;
    set xAxisStrokeThickness(a: number);
    private d6;
    get yAxisStrokeThickness(): number;
    set yAxisStrokeThickness(a: number);
    private dq;
    get xAxisTickLength(): number;
    set xAxisTickLength(a: number);
    private d7;
    get yAxisTickLength(): number;
    set yAxisTickLength(a: number);
    private fo;
    get xAxisTickStroke(): string;
    set xAxisTickStroke(a: string);
    private f5;
    get yAxisTickStroke(): string;
    set yAxisTickStroke(a: string);
    private dr;
    get xAxisTickStrokeThickness(): number;
    set xAxisTickStrokeThickness(a: number);
    private d8;
    get yAxisTickStrokeThickness(): number;
    set yAxisTickStrokeThickness(a: number);
    private fp;
    get xAxisTitle(): string;
    set xAxisTitle(a: string);
    private f6;
    get yAxisTitle(): string;
    set yAxisTitle(a: string);
    private fl;
    get xAxisMinorStroke(): string;
    set xAxisMinorStroke(a: string);
    private f2;
    get yAxisMinorStroke(): string;
    set yAxisMinorStroke(a: string);
    private dh;
    get xAxisLabelAngle(): number;
    set xAxisLabelAngle(a: number);
    private dz;
    get yAxisLabelAngle(): number;
    set yAxisLabelAngle(a: number);
    private dg;
    get xAxisExtent(): number;
    set xAxisExtent(a: number);
    private dy;
    get yAxisExtent(): number;
    set yAxisExtent(a: number);
    private ds;
    get xAxisTitleAngle(): number;
    set xAxisTitleAngle(a: number);
    private d9;
    get yAxisTitleAngle(): number;
    set yAxisTitleAngle(a: number);
    private dc;
    get xAxisInverted(): boolean;
    set xAxisInverted(a: boolean);
    private dd;
    get yAxisInverted(): boolean;
    set yAxisInverted(a: boolean);
    private fq;
    get xAxisTitleAlignment(): string;
    set xAxisTitleAlignment(a: string);
    private f7;
    get yAxisTitleAlignment(): string;
    set yAxisTitleAlignment(a: string);
    private fe;
    get xAxisLabelHorizontalAlignment(): string;
    set xAxisLabelHorizontalAlignment(a: string);
    private fu;
    get yAxisLabelHorizontalAlignment(): string;
    set yAxisLabelHorizontalAlignment(a: string);
    private fi;
    get xAxisLabelVerticalAlignment(): string;
    set xAxisLabelVerticalAlignment(a: string);
    private fz;
    get yAxisLabelVerticalAlignment(): string;
    set yAxisLabelVerticalAlignment(a: string);
    private fj;
    get xAxisLabelVisibility(): string;
    set xAxisLabelVisibility(a: string);
    private f0;
    get yAxisLabelVisibility(): string;
    set yAxisLabelVisibility(a: string);
    private fv;
    get yAxisLabelLocation(): string;
    set yAxisLabelLocation(a: string);
}
